org.jboss.jca.embedded.dsl.ironjacamar11.api

## Interface IronjacamarType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface IronjacamarType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `ironjacamarType` xsd type

- - ### Property Summary

    All Methods Instance Methods Abstract Methods
    Type | Property and Description
    --- | ---
    `ConfigPropertyType<IronjacamarType<T>>` | `createConfig` Creates a new `config-property` element
    `IronjacamarType<T>` | `removeAllConfig` Removes all `config-property` elements

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IronjacamarType<T>` | `bootstrapContext(java.lang.String bootstrapContext)` Sets the `bootstrap-context` element
    `ConfigPropertyType<IronjacamarType<T>>` | `createConfigProperty()` Creates a new `config-property` element
    `java.util.List<ConfigPropertyType<IronjacamarType<T>>>` | `getAllConfigProperty()` Returns all `config-property` elements
    `java.lang.String` | `getBootstrapContext()` Returns the `bootstrap-context` element
    `AdminObjectsType<IronjacamarType<T>>` | `getOrCreateAdminObjects()` If not already created, a new `admin-objects` element with the given value will be created.
    `BeanValidationGroupsType<IronjacamarType<T>>` | `getOrCreateBeanValidationGroups()` If not already created, a new `bean-validation-groups` element with the given value will be created.
    `ConfigPropertyType<IronjacamarType<T>>` | `getOrCreateConfigProperty()` If not already created, a new `config-property` element will be created and returned.
    `ConnectionDefinitionsType<IronjacamarType<T>>` | `getOrCreateConnectionDefinitions()` If not already created, a new `connection-definitions` element with the given value will be created.
    `WorkmanagerType<IronjacamarType<T>>` | `getOrCreateWorkmanager()` If not already created, a new `workmanager` element with the given value will be created.
    `TransactionSupportType` | `getTransactionSupport()` Returns the `transaction-support` element
    `java.lang.String` | `getTransactionSupportAsString()` Returns the `transaction-support` element
    `IronjacamarType<T>` | `removeAdminObjects()` Removes the `admin-objects` element
    `IronjacamarType<T>` | `removeAllConfigProperty()` Removes all `config-property` elements
    `IronjacamarType<T>` | `removeBeanValidationGroups()` Removes the `bean-validation-groups` element
    `IronjacamarType<T>` | `removeBootstrapContext()` Removes the `bootstrap-context` element
    `IronjacamarType<T>` | `removeConnectionDefinitions()` Removes the `connection-definitions` element
    `IronjacamarType<T>` | `removeTransactionSupport()` Removes the `transaction-support` attribute
    `IronjacamarType<T>` | `removeWorkmanager()` Removes the `workmanager` element
    `IronjacamarType<T>` | `transactionSupport(java.lang.String transactionSupport)` Sets the `transaction-support` element
    `IronjacamarType<T>` | `transactionSupport(TransactionSupportType transactionSupport)` Sets the `transaction-support` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Property Detail

    - #### createConfig

          ConfigPropertyType<IronjacamarType<T>> createConfigProperty

      Creates a new `config-property` element

    - #### removeAllConfig

          IronjacamarType<T> removeAllConfigProperty

      Removes all `config-property` elements

  - ### Method Detail

    - #### getOrCreateBeanValidationGroups

          BeanValidationGroupsType<IronjacamarType<T>> getOrCreateBeanValidationGroups()

      If not already created, a new `bean-validation-groups` element with the given value will be created. Otherwise, the existing `bean-validation-groups` element will be returned.
      Returns:
        a new or existing instance of `BeanValidationGroupsType>`

    - #### removeBeanValidationGroups

          IronjacamarType<T> removeBeanValidationGroups()

      Removes the `bean-validation-groups` element
      Returns:
        the current instance of `IronjacamarType`

    - #### bootstrapContext

          IronjacamarType<T> bootstrapContext(java.lang.String bootstrapContext)

      Sets the `bootstrap-context` element
      Parameters:
        `bootstrapContext` - the value for the element `bootstrap-context`
      Returns:
        the current instance of `IronjacamarType`

    - #### getBootstrapContext

          java.lang.String getBootstrapContext()

      Returns the `bootstrap-context` element
      Returns:
        the node defined for the element `bootstrap-context`

    - #### removeBootstrapContext

          IronjacamarType<T> removeBootstrapContext()

      Removes the `bootstrap-context` element
      Returns:
        the current instance of `IronjacamarType`

    - #### getOrCreateConfigProperty

          ConfigPropertyType<IronjacamarType<T>> getOrCreateConfigProperty()

      If not already created, a new `config-property` element will be created and returned. Otherwise, the first existing `config-property` element will be returned.
      Returns:
        the instance defined for the element `config-property`

    - #### createConfigProperty

          ConfigPropertyType<IronjacamarType<T>> createConfigProperty()

      Creates a new `config-property` element

    - #### getAllConfigProperty

          java.util.List<ConfigPropertyType<IronjacamarType<T>>> getAllConfigProperty()

      Returns all `config-property` elements
      Returns:
        list of `config-property`

    - #### removeAllConfigProperty

          IronjacamarType<T> removeAllConfigProperty()

      Removes all `config-property` elements

    - #### transactionSupport

          IronjacamarType<T> transactionSupport(TransactionSupportType transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `IronjacamarType`

    - #### transactionSupport

          IronjacamarType<T> transactionSupport(java.lang.String transactionSupport)

      Sets the `transaction-support` element
      Parameters:
        `transactionSupport` - the value for the element `transaction-support`
      Returns:
        the current instance of `IronjacamarType`

    - #### getTransactionSupport

          TransactionSupportType getTransactionSupport()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### getTransactionSupportAsString

          java.lang.String getTransactionSupportAsString()

      Returns the `transaction-support` element
      Returns:
        the value found for the element `transaction-support`

    - #### removeTransactionSupport

          IronjacamarType<T> removeTransactionSupport()

      Removes the `transaction-support` attribute
      Returns:
        the current instance of `IronjacamarType`

    - #### getOrCreateWorkmanager

          WorkmanagerType<IronjacamarType<T>> getOrCreateWorkmanager()

      If not already created, a new `workmanager` element with the given value will be created. Otherwise, the existing `workmanager` element will be returned.
      Returns:
        a new or existing instance of `WorkmanagerType>`

    - #### removeWorkmanager

          IronjacamarType<T> removeWorkmanager()

      Removes the `workmanager` element
      Returns:
        the current instance of `IronjacamarType`

    - #### getOrCreateConnectionDefinitions

          ConnectionDefinitionsType<IronjacamarType<T>> getOrCreateConnectionDefinitions()

      If not already created, a new `connection-definitions` element with the given value will be created. Otherwise, the existing `connection-definitions` element will be returned.
      Returns:
        a new or existing instance of `ConnectionDefinitionsType>`

    - #### removeConnectionDefinitions

          IronjacamarType<T> removeConnectionDefinitions()

      Removes the `connection-definitions` element
      Returns:
        the current instance of `IronjacamarType`

    - #### getOrCreateAdminObjects

          AdminObjectsType<IronjacamarType<T>> getOrCreateAdminObjects()

      If not already created, a new `admin-objects` element with the given value will be created. Otherwise, the existing `admin-objects` element will be returned.
      Returns:
        a new or existing instance of `AdminObjectsType>`

    - #### removeAdminObjects

          IronjacamarType<T> removeAdminObjects()

      Removes the `admin-objects` element
      Returns:
        the current instance of `IronjacamarType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)